# std::error_code::message

From cppreference.com
< cpp‎ | error‎ | error code

std::string message() const; |  | (since C++11)

Returns the message corresponding to the current error value and category.

Equivalent to category().message(value()).

### Parameters

(none)

### Return value

The error message corresponding to the current error value and category.

### Exceptions

(none)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/error/error_code/message&oldid=63304"